Bug 985446 - Review Request: vim-gtk-syntax - Vim syntax highlighting for GLib, Gtk+, Gstreamer and more
Review Request: vim-gtk-syntax - Vim syntax highlighting for GLib, Gtk+, Gstr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 09:51 EDT by David King
Modified: 2014-03-30 02:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: vim-gtk-syntax-20130716-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-30 02:05:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David King 2013-07-17 09:51:02 EDT
Spec URL: http://amigadave.com/temp/gtk-vim-syntax.spec
SRPM URL: http://amigadave.com/temp/gtk-vim-syntax-20130716-1.fc19.src.rpm
Description: A collection of C extension syntax files for xlib, glib (gobject, gio), gdk-pixbuf, gtk2 (gdk2), gtk3 (gdk3), atk, at-spi, pango, cairo, clutter, gimp, gstreamer, dbus-glib, json-glib, libglade, gtksourceview, gnome-desktop, libgsf, libnotify, librsvg, libunique, libwnck, gtkglext, vte, poppler, evince. 
Fedora Account System Username: amigadave

This is my first package and review request, so I am looking for a sponsor. I have made a scratch build of the linked SRPM in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5618830

There are some rpmlint warnings, and I would be grateful for advice on those:

gtk-vim-syntax.spec:15: W: non-standard-group Application/Editors
gtk-vim-syntax.spec: W: no-%build-section
gtk-vim-syntax.spec: W: invalid-url Source0: gtk-vim-syntax-20130716.tar.gz
0 packages and 1 specfiles checked; 0 errors, 3 warnings.

I sent an email before packaging to ask for a release and for the example configuration file to be updated, and the upstrem release yesterday had the requested change.
Comment 1 Christopher Meng 2013-07-17 22:19:07 EDT
Just remove 

rm -rf $RPM_BUILD_ROOT

And everything is OK.
Comment 2 David King 2013-07-18 04:30:18 EDT
Thanks for the suggestion. I updated the .spec and srpm with that change in place, and did another scratch build in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5626070
Comment 3 Veaceslav Mindru 2013-07-30 03:30:53 EDT
Hello David ,

I think this should be corrected. 

>Source0:        gtk-vim-syntax-20130716.tar.gz

http://fedoraproject.org/wiki/How_to_create_an_RPM_package#SPEC_file_overview 

Source0: The full URL for the compressed archive containing the (original) pristine source code, as upstream released it. "Source" is synonymous with "Source0". If you give a full URL (and you should), its basename will be used when looking in the SOURCES directory. If possible, embed %{name} and %{version}, so that changes to either will go to the right place. Preserve timestamps when downloading source files. If there is more than one source, name them Source1, Source2 and so on. If you're adding whole new files in addition to the pristine sources, list them as sources after the pristine sources. A copy of each of these sources will be included in any SRPM you create, unless you specifically direct otherwise. See Source URL for more information on special cases (e.g. revision control). 

I still can see errors reported by rpmlint 

[mindruv@localhost tmp]$ rpmlint  gtk-vim-syntax.spec 
gtk-vim-syntax.spec:15: W: non-standard-group Application/Editors
gtk-vim-syntax.spec: W: no-%build-section
gtk-vim-syntax.spec: W: invalid-url Source0: gtk-vim-syntax-20130716.tar.gz
0 packages and 1 specfiles checked; 0 errors, 3 warnings.
[mindruv@localhost tmp]$ 


>#URL:           http://physics.muni.cz/~yeti/vim/

I would also recommend to drop comments if not carrying vital information. As this is waste of bytes.
Comment 4 Veaceslav Mindru 2013-07-30 04:07:59 EDT
Hello David ,

i take my words back regarding Source0, this is compliant with. Source0 requirements , however i think you should remove comments:

>#URL:           http://physics.muni.cz/~yeti/vim/
>#Source0:       http://www.vim.org/scripts/download_script.php?src_id=20534


https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL 


VM
Comment 5 David King 2013-08-08 06:11:16 EDT
Thanks for the comments Veaceslav. I added an empty build section and corrected the group to avoid the first two rpmlint warnings. I do not think that I can avoid the other warnings, due to renaming the original tarball. I removed the URL comment, but I think that the Source0 comment is useful as it gives the direct download URL for the unversioned tarball. This seems to fit with the "Troublesome URLs" part of https://fedoraproject.org/wiki/Packaging:SourceURL#Troublesome_URLs

I updated the .spec and srpm with that change in place, and did another scratch build in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5793446
Comment 6 Michael Schwendt 2013-08-09 12:14:07 EDT
As I think the package should follow the Addon Packages naming policy and start with "vim-" in its name,

  https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28General.29

I've posted to packaging list about this. Such a parent-child naming scheme doesn't work well, if some packages apply it while others don't:
https://lists.fedoraproject.org/pipermail/packaging/2013-August/009422.html
Comment 7 David King 2013-09-07 06:43:13 EDT
Thanks for the package naming guidance Michael. I have renamed the specfile, uploaded it and the srpm to:

http://amigadave.com/temp/vim-gtk-syntax.spec
http://amigadave.com/temp/vim-gtk-syntax-20130716-1.fc20.src.rpm

I also did a scratch build in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5907435
Comment 8 David King 2013-12-12 15:34:48 EST
I have now been sponsored into the packager group, so just need a formal review.
Comment 9 Christopher Meng 2013-12-12 22:31:07 EST
Please use this:

https://github.com/vim-scripts/gtk-vim-syntax/releases

Also add a note at %build like "Nothing to build"
Comment 10 David King 2013-12-13 04:11:42 EST
(In reply to Christopher Meng from comment #9)
> Please use this:
> 
> https://github.com/vim-scripts/gtk-vim-syntax/releases

That does not seem like a good idea, as the vim-scripts repository is not up-to-date. Comparing https://github.com/vim-scripts?tab=activity against http://www.vim.org/scripts/ it looks like there is a week or two of updates missing. Based on the open bug reports, it seems like there are quite a few problems with the scraper script used to maintain vim-scripts.org: https://github.com/vim-scraper/vim-scraper/issues

As Debian and Gentoo use the vim.org/scripts location, I think it is best to do the same, and have a comment in the spec mentioning the unversioned location upstream.

> Also add a note at %build like "Nothing to build"

Done. I did a scratch build for Rawhide with that change:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6286862
Comment 11 David King 2014-03-19 14:43:13 EDT
Hey, any change that we can move forward with the review? It has been a few months without a response. If you are too busy, I can follow https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews#Reviewer_not_responding and reset the review flag in 1 week.
Comment 12 Christopher Meng 2014-03-20 22:45:18 EDT
PACKAGE APPROVED.

Please update the spec(Also add a note at %build like "Nothing to build")

++++++++++++

One note:

You can use the github mirror to track the updates in CNUCNU(https://fedoraproject.org/wiki/Upstream_release_monitoring)

One idea:

Fedora doesn't have vim packaging guideline, do you want to create one(I can help)?
Comment 13 David King 2014-03-21 04:11:51 EDT
New Package SCM Request
=======================
Package Name: vim-gtk-syntax
Short Description: Vim syntax highlighting for GLib, Gtk+, Xlib, Gimp, Gstreamer and more
Owners: amigadave
Branches: f20 epel7
InitialCC:
Comment 14 Christopher Meng 2014-03-21 04:38:02 EDT
Sorry one thing I forgot to paste:

Summary:        Vim syntax highlighting for GLib, Gtk+, Xlib, Gimp, Gstreamer, and more


Toooooo loooooong per 79 chars/line.
Comment 15 David King 2014-03-21 04:44:09 EDT
Thanks for the suggestions. I updated the spec and SRPM in place with those. There is also a scratch build at:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6657945

I have started writing some guidelines at:

https://fedoraproject.org/wiki/User:Amigadave/VimGuidelines

I will need to read up on some of the other application-specific guidelines to come up with a good document, so feel free to edit it.
Comment 16 David King 2014-03-21 04:44:45 EDT
New Package SCM Request
=======================
Package Name: vim-gtk-syntax
Short Description: Vim syntax highlighting for GLib, Gtk+, Gstreamer and more
Owners: amigadave
Branches: f20 epel7
InitialCC:
Comment 17 Michael Schwendt 2014-03-21 05:18:50 EDT
> Toooooo loooooong per 79 chars/line.

Don't forget that the "Summary" tag doesn't count, so the summary "Vim syntax highlighting for GLib, Gtk+, Xlib, Gimp, Gstreamer, and more" is just 71 chars.
Comment 18 Christopher Meng 2014-03-21 05:20:57 EDT
(In reply to Michael Schwendt from comment #17)
> > Toooooo loooooong per 79 chars/line.
> 
> Don't forget that the "Summary" tag doesn't count, so the summary "Vim
> syntax highlighting for GLib, Gtk+, Xlib, Gimp, Gstreamer, and more" is just
> 71 chars.

72 ;)

My fault, damn I don't know why I commented...

Sorry for the confusion David...
Comment 19 Michael Schwendt 2014-03-21 05:25:45 EDT
> 72 ;)

Christopher, I didn't count them by hand, so assume the column number in Emacs was correct. To verify:

$ echo -n "Vim syntax highlighting for GLib, Gtk+, Xlib, Gimp, Gstreamer, and more" | wc -c
71
Comment 20 David King 2014-03-21 05:29:37 EDT
Thanks, it is god to know about the limit. I think that the new summary is a bit better anyway, even though the old one did not go over the limit.
Comment 21 Christopher Meng 2014-03-21 05:35:47 EDT
(In reply to Michael Schwendt from comment #19)
> > 72 ;)
> 
> Christopher, I didn't count them by hand, so assume the column number in
> Emacs was correct. To verify:
> 
> $ echo -n "Vim syntax highlighting for GLib, Gtk+, Xlib, Gimp, Gstreamer,
> and more" | wc -c
> 71

After reading this, I finally understand that we are not talking about the same thing......

Let's stop.
Comment 22 Michael Schwendt 2014-03-21 05:47:59 EDT
It would be much better, if you made an attempt at trying to explain what you talk about (since comment 14).

https://fedoraproject.org/wiki/Packaging:Guidelines#summary
Comment 23 Jon Ciesla 2014-03-21 07:57:03 EDT
Git done (by process-git-requests).
Comment 24 Fedora Update System 2014-03-21 08:44:20 EDT
vim-gtk-syntax-20130716-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-gtk-syntax-20130716-1.fc20
Comment 25 Fedora Update System 2014-03-22 01:07:51 EDT
vim-gtk-syntax-20130716-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 26 Fedora Update System 2014-03-30 02:05:42 EDT
vim-gtk-syntax-20130716-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.